Verified Commit a7c6cb0f authored by A. Wilcox's avatar A. Wilcox 🦊
Browse files

user/*: Modernise / fix syntax / deps / metadata

parent b41525df
......@@ -10,11 +10,12 @@ options="!check" # No test suite
license="MIT"
depends=""
makedepends="alsa-lib-dev asciidoctor confuse-dev libnl3-dev pkgconf
pulseaudio-dev yajl-dev"
pulseaudio-dev yajl-dev autoconf automake"
subpackages="$pkgname-doc"
source="$url/$pkgname-$pkgver.tar.bz2
asciidoctor.patch
glob_tilde.patch"
glob_tilde.patch
"
prepare() {
default_prepare
......@@ -36,6 +37,7 @@ build() {
package() {
make -C build DESTDIR="$pkgdir" install
}
sha512sums="6dadff19e53499d169ba4f491e1f821014b4f92fc3c93d7947c85cbbbdeaba538d02bd8ab98fe266a8f80756a287fd5803ec77a8cd874d50082b5cad309875c2 i3status-2.13.tar.bz2
26527b9a0053d363f2b2991f9be3a15cb5fbf5553dca9498a9cff1c1a65e887f392215b60a484e329e6ef8efd63f9b67727826fb6ccfe1033c653feef34aaab8 asciidoctor.patch
765a5b64d79f61cd68280d77a7316e7f571a3c2e385d9a227885cde5fc057b1a892e92a65c0fc54832bfdda30743df6e9f82a847b55c9e7389575c7fbad9e0d4 glob_tilde.patch"
......@@ -11,10 +11,12 @@ url="https://www.tuxera.com/community/open-source-ntfs-3g/"
arch="all"
options="!check" # No test suite.
license="LGPL-2.1-only AND BSD-2-Clause AND GPL-2.0+ AND GPL-3.0+"
depends=""
makedepends="attr-dev util-linux-dev linux-headers fuse-dev"
subpackages="$pkgname-doc $pkgname-dev $pkgname-libs"
source="https://tuxera.com/opensource/$_pkgname-$pkgver.tgz
CVE-2019-9755.patch"
CVE-2019-9755.patch
"
builddir="$srcdir/$_pkgname-$pkgver"
# secfixes:
......@@ -22,7 +24,6 @@ builddir="$srcdir/$_pkgname-$pkgver"
# - CVE-2019-9755
build() {
cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
......@@ -36,7 +37,6 @@ build() {
}
package() {
cd "$builddir"
mkdir -p "$pkgdir"/lib
make -j1 DESTDIR="$pkgdir" LDCONFIG=: install
ln -s /bin/ntfs-3g "$pkgdir"/sbin/mount.ntfs
......
......@@ -7,6 +7,7 @@ pkgdesc="Calendaring software for the XFCE desktop environment"
url="https://xfce.org"
arch="all"
license="GPL-2.0+ AND BSD-3-Clause AND (LGPL-2.1-only OR MPL-1.0) AND (GPL-2.0+ OR Artistic-2.0) AND MPL-1.0 AND BSD-2-Clause AND LGPL-2.0+"
depends=""
makedepends="intltool gtk+2.0-dev dbus-glib-dev libnotify-dev popt-dev
xfce4-panel-dev"
subpackages="$pkgname-doc $pkgname-lang"
......
......@@ -6,15 +6,16 @@ pkgrel=0
pkgdesc="Library for audio time-stretching and pitch-shifting"
url="https://www.breakfastquay.com/rubberband/"
arch="all"
options="!check" # no tests
options="!check" # No test suite.
license="BSD-4-Clause AND BSD-3-Clause AND GPL-2.0+"
depends=""
makedepends="libsamplerate-dev libsndfile-dev fftw-dev vamp-sdk-dev ladspa-dev"
subpackages="$pkgname-dev"
source="https://breakfastquay.com/files/releases/rubberband-$pkgver.tar.bz2
no-jni.patch"
no-jni.patch
"
build() {
cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
......@@ -26,7 +27,6 @@ build() {
}
package() {
cd "$builddir"
make DESTDIR="$pkgdir" install
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment